Public Member Functions | Public Attributes | List of all members
libebook::FictionBook2TextFormat Struct Reference

`#include <FictionBook2Style.h>`

## Public Member Functions
| FictionBook2TextFormat ()

## Public Attributes
uint8_t | a
uint8_t | code
uint8_t | emphasis
uint8_t | strikethrough
uint8_t | strong
uint8_t | sub
uint8_t | sup
std::string | lang

## Constructor & Destructor Documentation

## ◆ FictionBook2TextFormat()

libebook::FictionBook2TextFormat::FictionBook2TextFormat | ( |  | ) |

## Member Data Documentation

## ◆ a

uint8_t libebook::FictionBook2TextFormat::a

## ◆ code

uint8_t libebook::FictionBook2TextFormat::code

Referenced by libebook::FictionBook2CodeContext::startOfElement().

## ◆ emphasis

uint8_t libebook::FictionBook2TextFormat::emphasis

Referenced by libebook::FictionBook2EmphasisContext::startOfElement().

## ◆ lang

std::string libebook::FictionBook2TextFormat::lang

Referenced by libebook::FictionBook2StyleContextBase::attribute().

## ◆ strikethrough

uint8_t libebook::FictionBook2TextFormat::strikethrough

Referenced by libebook::FictionBook2StrikethroughContext::startOfElement().

## ◆ strong

uint8_t libebook::FictionBook2TextFormat::strong

Referenced by libebook::FictionBook2StrongContext::startOfElement().

## ◆ sub

uint8_t libebook::FictionBook2TextFormat::sub

Referenced by libebook::FictionBook2SubContext::startOfElement().

## ◆ sup

uint8_t libebook::FictionBook2TextFormat::sup

Referenced by libebook::FictionBook2SupContext::startOfElement().

The documentation for this struct was generated from the following files:

- FictionBook2Style.h
- FictionBook2Style.cpp